local t = Def.ActorFrame{
	-- tiles 1
	LoadActor("back1")..{
		InitCommand=cmd(FullScreen;customtexturerect,0,0,GetTileCoordX(),GetTileCoordY();texcoordvelocity,-0.15,-0.15);
	};
	LoadActor("chr")..{
		InitCommand=cmd(Center);
		OnCommand=cmd(diffusealpha,0.5;bob;effectmagnitude,0,10,0;);
	};
	Def.Quad{
		InitCommand=cmd(FullScreen);
		OnCommand=cmd(sleep,1.0;diffusealpha,1;linear,1.0;diffusealpha,0);
	};
	-- tiles 4 (should be 512px tall)
	LoadActor("pat01")..{
		InitCommand=cmd(x,SCREEN_LEFT+16;CenterY;texcoordvelocity,0,-0.16);
		OnCommand=cmd(diffusealpha,0;linear,0.3;diffusealpha,1;);
	};
	-- tiles 5 (should be 512px tall)
	LoadActor("pat01")..{
		InitCommand=cmd(x,SCREEN_RIGHT-16;CenterY;texcoordvelocity,0,0.16);
		OnCommand=cmd(diffusealpha,0;linear,0.3;diffusealpha,1;);
	};
	-- The model system has been redone to use StepMania 4's GetPath* system,
	-- which is the preferred way for referencing other BGAnimations.
	LoadActor( THEME:GetPathB("_shared","models/_starmodel"), "green" )..{
		InitCommand=cmd(x,120;y,240;zoom,0;);
		OnCommand=cmd(sleep,0.8;bounceend,0.3;zoom,4.0;spin;diffuse,color("1.0,0.9,0.9,1");effectmagnitude,0,90,0;);
	};
	LoadActor("logo")..{
		InitCommand=cmd(x,SCREEN_CENTER_X+160;y,SCREEN_CENTER_Y;zoom,0;);
		OnCommand=cmd(sleep,0.8;bounceend,0.3;zoom,0.45;pulse;effectperiod,5;effectmagnitude,0.9,1,1;);
	};
	LoadActor("frame_u")..{
		InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y-172;setsize,SCREEN_WIDTH,136);
		OnCommand=cmd(addy,-136;sleep,0.2;bouncebegin,0.2;addy,136;);
	};
	LoadActor("frame_d")..{
		InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y+172;setsize,SCREEN_WIDTH,136);
		OnCommand=cmd(addy,136;sleep,0.2;bouncebegin,0.2;addy,-136;);
	};
	LoadActor("pat02")..{
		InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y-136;zoomy,0;);
		OnCommand=cmd(addx,-SCREEN_WIDTH;sleep,0.4;linear,0.2;zoomy,1;addx,SCREEN_WIDTH;setsize,SCREEN_WIDTH,16);
	};
	LoadActor("pat02")..{
		InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y+136;zoomy,0;);
		OnCommand=cmd(addx,SCREEN_WIDTH;sleep,0.4;linear,0.2;zoomy,1;addx,-SCREEN_WIDTH;setsize,SCREEN_WIDTH,16);
	};
	LoadActor("pat03")..{
		InitCommand=cmd(x,SCREEN_CENTER_X+255;y,SCREEN_CENTER_Y+175;zoom,0;);
		OnCommand=cmd(sleep,0.6;bounceend,0.2;zoom,1.0;spin;effectmagnitude,0,0,80;);
	};
	LoadActor("pat03")..{
		InitCommand=cmd(x,SCREEN_CENTER_X-256;y,SCREEN_CENTER_Y-176;zoom,0;);
		OnCommand=cmd(sleep,0.6;bounceend,0.2;zoom,1.0;spin;effectmagnitude,0,0,-80;);
	};
	-- and now, too many ball layers
	LoadActor("ball")..{
		InitCommand=cmd(zoom,0.75;x,SCREEN_CENTER_X-168;y,SCREEN_TOP+64;);
		OnCommand=cmd(addy,-92;sleep,0.1;bounceend,0.5;addy,92;bob;effectperiod,2;effectmagnitude,0,8,0;);
	};
	LoadActor("ball")..{
		InitCommand=cmd(zoom,0.75;x,SCREEN_CENTER_X-144;y,SCREEN_TOP+64;);
		OnCommand=cmd(addy,-92;sleep,0.2;bounceend,0.5;addy,92;bob;effectperiod,2.1;effectmagnitude,0,8,0;);
	};
	LoadActor("ball")..{
		InitCommand=cmd(zoom,0.75;x,SCREEN_CENTER_X-120;y,SCREEN_TOP+64;);
		OnCommand=cmd(addy,-92;sleep,0.3;bounceend,0.5;addy,92;bob;effectperiod,2.2;effectmagnitude,0,8,0;);
	};
	LoadActor("ball")..{
		InitCommand=cmd(zoom,0.75;x,SCREEN_CENTER_X-96;y,SCREEN_TOP+64;);
		OnCommand=cmd(addy,-92;sleep,0.4;bounceend,0.5;addy,92;bob;effectperiod,2.3;effectmagnitude,0,8,0;);
	};
	LoadActor("ball")..{
		InitCommand=cmd(zoom,0.75;x,SCREEN_CENTER_X-72;y,SCREEN_TOP+64;);
		OnCommand=cmd(addy,-92;sleep,0.5;bounceend,0.5;addy,92;bob;effectperiod,2.4;effectmagnitude,0,8,0);
	};
	LoadActor("ball")..{
		InitCommand=cmd(zoom,0.75;x,SCREEN_CENTER_X-48;y,SCREEN_TOP+64;);
		OnCommand=cmd(addy,-92;sleep,0.6;bounceend,0.5;addy,92;bob;effectperiod,2.3;effectmagnitude,0,8,0;);
	};
	LoadActor("ball")..{
		InitCommand=cmd(zoom,0.75;x,SCREEN_CENTER_X-24;y,SCREEN_TOP+64;);
		OnCommand=cmd(addy,-92;sleep,0.7;bounceend,0.5;addy,92;bob;effectperiod,2.2;effectmagnitude,0,8,0;);
	};
	LoadActor("ball")..{
		InitCommand=cmd(zoom,0.75;x,SCREEN_CENTER_X;y,SCREEN_TOP+64;);
		OnCommand=cmd(addy,-92;sleep,0.8;bounceend,0.5;addy,92;bob;effectperiod,2.1;effectmagnitude,0,8,0;);
	};
	LoadActor("ball")..{
		InitCommand=cmd(zoom,0.75;x,SCREEN_CENTER_X+24;y,SCREEN_TOP+64;);
		OnCommand=cmd(addy,-92;sleep,0.9;bounceend,0.5;addy,92;bob;effectperiod,2;effectmagnitude,0,8,0);
	};
	LoadActor("ball")..{
		InitCommand=cmd(zoom,0.75;x,SCREEN_CENTER_X+48;y,SCREEN_TOP+64;);
		OnCommand=cmd(addy,-92;sleep,1.0;bounceend,0.5;addy,92;bob;effectperiod,2.1;effectmagnitude,0,8,0;);
	};
	LoadActor("ball")..{
		InitCommand=cmd(zoom,0.75;x,SCREEN_CENTER_X+72;y,SCREEN_TOP+64;);
		OnCommand=cmd(addy,-92;sleep,1.1;bounceend,0.5;addy,92;bob;effectperiod,2.2;effectmagnitude,0,8,0;);
	};
	LoadActor("ball")..{
		InitCommand=cmd(zoom,0.75;x,SCREEN_CENTER_X+96;y,SCREEN_TOP+64;);
		OnCommand=cmd(addy,-92;sleep,1.2;bounceend,0.5;addy,92;bob;effectperiod,2.3;effectmagnitude,0,8,0;);
	};
	LoadActor("ball")..{
		InitCommand=cmd(zoom,0.75;x,SCREEN_CENTER_X+120;y,SCREEN_TOP+64;);
		OnCommand=cmd(addy,-92;sleep,1.3;bounceend,0.5;addy,92;bob;effectperiod,2.4;effectmagnitude,0,8,0);
	};
	LoadActor("ball")..{
		InitCommand=cmd(zoom,0.75;x,SCREEN_CENTER_X+144;y,SCREEN_TOP+64;);
		OnCommand=cmd(addy,-92;sleep,1.4;bounceend,0.5;addy,92;bob;effectperiod,2.3;effectmagnitude,0,8,0;);
	};
	LoadActor("ball")..{
		InitCommand=cmd(zoom,0.75;x,SCREEN_CENTER_X+168;y,SCREEN_TOP+64;);
		OnCommand=cmd(addy,-92;sleep,1.5;bounceend,0.5;addy,92;bob;effectperiod,2.2;effectmagnitude,0,8,0;);
	};
	LoadActor("ball")..{
		InitCommand=cmd(zoom,0.75;x,SCREEN_CENTER_X+192;y,SCREEN_TOP+64;);
		OnCommand=cmd(addy,-92;sleep,1.6;bounceend,0.5;addy,92;bob;effectperiod,2.1;effectmagnitude,0,8,0;);
	};
	LoadActor("ball")..{
		InitCommand=cmd(zoom,0.75;x,SCREEN_CENTER_X+216;y,SCREEN_TOP+64;);
		OnCommand=cmd(addy,-92;sleep,1.7;bounceend,0.5;addy,92;bob;effectperiod,2;effectmagnitude,0,8,0);
	};
};

return t;